Cloud GCP Registration
The Cloud GCP Registration service collection provides operations for managing Google Cloud Platform registrations. Retrieve GCP entities and registrations, trigger health checks, create, update, and delete Google Cloud registrations.
| Language | Last Update |
|---|---|
| Python | v1.5.5 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
cloud_registration_gcp_get_entitiesget_entities | Retrieve all GCP entities (organizations, folders, projects) grouped by type with support for FQL filtering, sorting, and pagination. |
cloud_registration_gcp_trigger_health_checktrigger_health_check | Trigger health check scan for GCP registrations |
cloud_registration_gcp_get_registrationget_registration | Retrieve a Google Cloud Registration. |
cloud_registration_gcp_put_registrationupdate_registration | Creates/Updates a Google Cloud Registration. |
cloud_registration_gcp_create_registrationcreate_registration | Create a Google Cloud Registration. |
cloud_registration_gcp_update_registrationcloud_registration_gcp_update_registration | Update a Google Cloud Registration. |
cloud_registration_gcp_delete_registrationdelete_registration | Deletes a Google Cloud Registration and returns the deleted registration in the response body. |
cloud_registration_gcp_get_entities
Section titled “cloud_registration_gcp_get_entities”Retrieve all GCP entities (organizations, folders, projects) grouped by type with support for FQL filtering, sorting, and pagination.
get_entitiesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | array (string) | Google Cloud Registration IDs to filter by. |
| filter | query | string | FQL (Falcon Query Language) string for filtering results. Allowed filters: entity_type, entity_id, entity_name, registration_id, registration_name, registration_scope, parent_id, ioa_status, iom_status, created, updated |
| sort | query | string | Field and direction for sorting results (e.g., created|desc). Sorting applies across all entity types before grouping. |
| limit | query | integer | Maximum number of records to return. Default: 100, Max: 500. |
| offset | query | integer | Starting index of result. |
| parameters | query | dictionary | Full query string parameters payload in JSON format. Not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_entities(ids=id_list, filter="string", sort="string", limit=integer, offset=integer)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_get_entities(ids=id_list, filter="string", sort="string", limit=integer, offset=integer)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_get_entities", ids=id_list, filter="string", sort="string", limit=integer, offset=integer)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
filter := "string" sort := "string" limit := int64(0) offset := int64(0)
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpGetEntities( &cloud_google_cloud_registration.CloudRegistrationGcpGetEntitiesParams{ Ids: []string{"ID1", "ID2", "ID3"}, Filter: &filter, Sort: &sort, Limit: &limit, Offset: &offset, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpGetEntities( ["ID1", "ID2", "ID3"], // ids "string", // filter "string", // sort integer, // limit integer // offset);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_get_entities(ids: ['ID1', 'ID2', 'ID3'], filter: 'string', sort: 'string', limit: integer, offset: integer)
puts responsecloud_registration_gcp_trigger_health_check
Section titled “cloud_registration_gcp_trigger_health_check”Trigger health check scan for GCP registrations
trigger_health_checkParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | array (string) | GCP Registration IDs |
| parameters | query | dictionary | Full query string parameters payload in JSON format. Not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.trigger_health_check(ids=id_list)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_trigger_health_check(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_trigger_health_check", ids=id_list)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpTriggerHealthCheck( &cloud_google_cloud_registration.CloudRegistrationGcpTriggerHealthCheckParams{ Ids: []string{"ID1", "ID2", "ID3"}, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpTriggerHealthCheck(["ID1", "ID2", "ID3"]); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_trigger_health_check(ids: ['ID1', 'ID2', 'ID3'])
puts responsecloud_registration_gcp_get_registration
Section titled “cloud_registration_gcp_get_registration”Retrieve a Google Cloud Registration.
get_registrationParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | string | Google Cloud Registration ID |
| parameters | query | dictionary | Full query string parameters payload in JSON format. Not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_registration(ids=id_list)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_get_registration(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_get_registration", ids="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpGetRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpGetRegistrationParams{ Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpGetRegistration("string"); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_get_registration('string')
puts responsecloud_registration_gcp_put_registration
Section titled “cloud_registration_gcp_put_registration”Creates/Updates a Google Cloud Registration.
update_registrationParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload in JSON format. Not required if using other keywords. |
| deployment_method | body | string | The method of deployment. |
| entity_id | body | array (string) | The ID of the entity. |
| excluded_project_patterns | body | array (string) | Project patterns that should be excluded. |
| falcon_client_key_id | body | string | API client key ID. |
| falcon_client_key_type | body | string | API client key type. |
| infra_manager_region | body | string | Infrastructure manager region. |
| infra_project_id | body | string | Infrastructure project ID. |
| labels | body | dictionary | Prop labels. |
| products | body | array (dictionary) | Products. |
| registration_name | body | string | Registration name. |
| registration_scope | body | string | Registration scope. |
| resource_name_prefix | body | string | Resource name prefix. |
| resource_name_suffix | body | string | Resource name suffix. |
| tags | body | dictionary | Tags. |
| wif_project_id | body | string | WIF project ID. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.update_registration(deployment_method="string", entity_id="string", excluded_project_patterns=["string"], falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels={}, products=[{"key": "value"}], registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.cloud_registration_gcp_put_registration(deployment_method="string", entity_id="string", excluded_project_patterns=["string"], falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels={}, products=[{"key": "value"}], registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "resources": [ { "additional_properties": {}, "deployment_method": "string", "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_manager_region": "string", "infra_project_id": "string", "labels": {}, "products": [ { "features": ["string"], "product": "string" } ], "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": {}, "wif_project_id": "string", "wif_project_number": "string" } ]}
response = falcon.command("cloud_registration_gcp_put_registration", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
deployment_method := "string" falcon_client_key_id := "string" falcon_client_key_type := "string" infra_manager_region := "string" infra_project_id := "string" product := "string" registration_name := "string" registration_scope := "string" resource_name_prefix := "string" resource_name_suffix := "string" wif_project_id := "string" wif_project_number := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpPutRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpPutRegistrationParams{ Body: &models.DtoGCPRegistrationCreateRequestExtV1{ Resources: []interface{}{ { AdditionalProperties: &struct{}{}, DeploymentMethod: &deployment_method, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraManagerRegion: &infra_manager_region, InfraProjectID: &infra_project_id, Labels: &struct{}{}, Products: []interface{}{ { Features: []string{"string"}, Product: &product, }, }, RegistrationName: ®istration_name, RegistrationScope: ®istration_scope, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &struct{}{}, WifProjectID: &wif_project_id, WifProjectNumber: &wif_project_number, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpPutRegistration( { resources: [{ additionalProperties: {}, deploymentMethod: "string", entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraManagerRegion: "string", infraProjectId: "string", labels: {}, products: [{ features: [], product: "string" }], registrationName: "string", registrationScope: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: {}, wifProjectId: "string", wifProjectNumber: "string" }]} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPRegistrationCreateRequestExtV1.new( resources: [{ additional_properties: {}, deployment_method: 'string', entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_manager_region: 'string', infra_project_id: 'string', labels: {}, products: [{ features: [], product: 'string' }], registration_name: 'string', registration_scope: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: {}, wif_project_id: 'string', wif_project_number: 'string' }])
response = api.cloud_registration_gcp_put_registration(body)
puts responsecloud_registration_gcp_create_registration
Section titled “cloud_registration_gcp_create_registration”Create a Google Cloud Registration.
create_registrationParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload in JSON format. |
| deployment_method | body | string | The method of deployment. |
| entity_id | body | array (string) | The ID of the entity. |
| excluded_project_patterns | body | array (string) | Project patterns that should be excluded. |
| falcon_client_key_id | body | string | API client key ID. |
| falcon_client_key_type | body | string | API client key type. |
| infra_manager_region | body | string | Infrastructure manager region. |
| infra_project_id | body | string | Infrastructure project ID. |
| labels | body | dictionary | Prop labels. |
| products | body | array (dictionary) | Products. |
| registration_name | body | string | Registration name. |
| registration_scope | body | string | Registration scope. |
| resource_name_prefix | body | string | Resource name prefix. |
| resource_name_suffix | body | string | Resource name suffix. |
| tags | body | dictionary | Tags. |
| wif_project_id | body | string | WIF project ID. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.create_registration(deployment_method="string", entity_id="string", excluded_project_patterns=["string"], falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels={}, products=[{"key": "value"}], registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.cloud_registration_gcp_create_registration(deployment_method="string", entity_id="string", excluded_project_patterns=["string"], falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels={}, products=[{"key": "value"}], registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "resources": [ { "additional_properties": {}, "deployment_method": "string", "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_manager_region": "string", "infra_project_id": "string", "labels": {}, "products": [ { "features": ["string"], "product": "string" } ], "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": {}, "wif_project_id": "string", "wif_project_number": "string" } ]}
response = falcon.command("cloud_registration_gcp_create_registration", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
deployment_method := "string" falcon_client_key_id := "string" falcon_client_key_type := "string" infra_manager_region := "string" infra_project_id := "string" product := "string" registration_name := "string" registration_scope := "string" resource_name_prefix := "string" resource_name_suffix := "string" wif_project_id := "string" wif_project_number := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpCreateRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpCreateRegistrationParams{ Body: &models.DtoGCPRegistrationCreateRequestExtV1{ Resources: []interface{}{ { AdditionalProperties: &struct{}{}, DeploymentMethod: &deployment_method, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraManagerRegion: &infra_manager_region, InfraProjectID: &infra_project_id, Labels: &struct{}{}, Products: []interface{}{ { Features: []string{"string"}, Product: &product, }, }, RegistrationName: ®istration_name, RegistrationScope: ®istration_scope, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &struct{}{}, WifProjectID: &wif_project_id, WifProjectNumber: &wif_project_number, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpCreateRegistration( { resources: [{ additionalProperties: {}, deploymentMethod: "string", entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraManagerRegion: "string", infraProjectId: "string", labels: {}, products: [{ features: [], product: "string" }], registrationName: "string", registrationScope: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: {}, wifProjectId: "string", wifProjectNumber: "string" }]} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPRegistrationCreateRequestExtV1.new( resources: [{ additional_properties: {}, deployment_method: 'string', entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_manager_region: 'string', infra_project_id: 'string', labels: {}, products: [{ features: [], product: 'string' }], registration_name: 'string', registration_scope: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: {}, wif_project_id: 'string', wif_project_number: 'string' }])
response = api.cloud_registration_gcp_create_registration(body)
puts responsecloud_registration_gcp_update_registration
Section titled “cloud_registration_gcp_update_registration”Update a Google Cloud Registration.
cloud_registration_gcp_update_registrationParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload in JSON format. |
| ids | query | string | Google Cloud Registration ID. |
| deployment_method | body | string | The method of deployment. |
| entity_id | body | array (string) | The ID of the entity. |
| excluded_project_patterns | body | array (string) | Project patterns that should be excluded. |
| falcon_client_key_id | body | string | API client key ID. |
| falcon_client_key_type | body | string | API client key type. |
| infra_manager_region | body | string | Infrastructure manager region. |
| infra_project_id | body | string | Infrastructure project ID. |
| labels | body | dictionary | Prop labels. |
| products | body | array (dictionary) | Products. |
| registration_name | body | string | Registration name. |
| registration_scope | body | string | Registration scope. |
| resource_name_prefix | body | string | Resource name prefix. |
| resource_name_suffix | body | string | Resource name suffix. |
| tags | body | dictionary | Tags. |
| wif_project_id | body | string | WIF project ID. |
| parameters | query | dictionary | Full query string parameters payload in JSON format. Not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_update_registration(ids=id_list, deployment_method="string", entity_id="string", excluded_project_patterns=["string"], falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels={}, products=[{"key": "value"}], registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_update_registration(ids=id_list, deployment_method="string", entity_id="string", excluded_project_patterns=["string"], falcon_client_key_id="string", falcon_client_key_type="string", infra_project_id="string", labels={}, products=[{"key": "value"}], registration_name="string", registration_scope="string", resource_name_prefix="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
body_payload = { "resources": [ { "additional_properties": {}, "deployment_method": "string", "entity_id": ["string"], "excluded_project_patterns": ["string"], "falcon_client_key_id": "string", "falcon_client_key_type": "string", "infra_manager_region": "string", "infra_project_id": "string", "labels": {}, "log_ingestion_sink_name": "string", "log_ingestion_subscription_name": "string", "log_ingestion_topic_id": "string", "products": [ { "features": ["string"], "product": "string" } ], "registration_name": "string", "registration_scope": "string", "resource_name_prefix": "string", "resource_name_suffix": "string", "tags": {}, "wif_pool_name": "string", "wif_project_id": "string", "wif_project_number": "string", "wif_provider_name": "string" } ]}
response = falcon.command("cloud_registration_gcp_update_registration", ids="string", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
deployment_method := "string" falcon_client_key_id := "string" falcon_client_key_type := "string" infra_manager_region := "string" infra_project_id := "string" log_ingestion_sink_name := "string" log_ingestion_subscription_name := "string" log_ingestion_topic_id := "string" product := "string" registration_name := "string" registration_scope := "string" resource_name_prefix := "string" resource_name_suffix := "string" wif_pool_name := "string" wif_project_id := "string" wif_project_number := "string" wif_provider_name := "string"
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpUpdateRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpUpdateRegistrationParams{ Body: &models.DtoGCPRegistrationUpdateRequestExtV1{ Resources: []interface{}{ { AdditionalProperties: &struct{}{}, DeploymentMethod: &deployment_method, EntityID: []string{"string"}, ExcludedProjectPatterns: []string{"string"}, FalconClientKeyID: &falcon_client_key_id, FalconClientKeyType: &falcon_client_key_type, InfraManagerRegion: &infra_manager_region, InfraProjectID: &infra_project_id, Labels: &struct{}{}, LogIngestionSinkName: &log_ingestion_sink_name, LogIngestionSubscriptionName: &log_ingestion_subscription_name, LogIngestionTopicID: &log_ingestion_topic_id, Products: []interface{}{ { Features: []string{"string"}, Product: &product, }, }, RegistrationName: ®istration_name, RegistrationScope: ®istration_scope, ResourceNamePrefix: &resource_name_prefix, ResourceNameSuffix: &resource_name_suffix, Tags: &struct{}{}, WifPoolName: &wif_pool_name, WifProjectID: &wif_project_id, WifProjectNumber: &wif_project_number, WifProviderName: &wif_provider_name, }, }, }, Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpUpdateRegistration( "string", // ids { // body resources: [{ additionalProperties: {}, deploymentMethod: "string", entityId: [], excludedProjectPatterns: [], falconClientKeyId: "string", falconClientKeyType: "string", infraManagerRegion: "string", infraProjectId: "string", labels: {}, logIngestionSinkName: "string", logIngestionSubscriptionName: "string", logIngestionTopicId: "string", products: [{ features: [], product: "string" }], registrationName: "string", registrationScope: "string", resourceNamePrefix: "string", resourceNameSuffix: "string", tags: {}, wifPoolName: "string", wifProjectId: "string", wifProjectNumber: "string", wifProviderName: "string" }] });
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
body = Falcon::DtoGCPRegistrationUpdateRequestExtV1.new( resources: [{ additional_properties: {}, deployment_method: 'string', entity_id: [], excluded_project_patterns: [], falcon_client_key_id: 'string', falcon_client_key_type: 'string', infra_manager_region: 'string', infra_project_id: 'string', labels: {}, log_ingestion_sink_name: 'string', log_ingestion_subscription_name: 'string', log_ingestion_topic_id: 'string', products: [{ features: [], product: 'string' }], registration_name: 'string', registration_scope: 'string', resource_name_prefix: 'string', resource_name_suffix: 'string', tags: {}, wif_pool_name: 'string', wif_project_id: 'string', wif_project_number: 'string', wif_provider_name: 'string' }])
response = api.cloud_registration_gcp_update_registration(body, 'string')
puts responsecloud_registration_gcp_delete_registration
Section titled “cloud_registration_gcp_delete_registration”Deletes a Google Cloud Registration and returns the deleted registration in the response body.
delete_registrationParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | string | Google Cloud Registration ID |
| parameters | query | dictionary | Full query string parameters payload in JSON format. Not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_registration(ids=id_list)print(response)from falconpy import CloudGoogleCloudRegistration
falcon = CloudGoogleCloudRegistration(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_registration_gcp_delete_registration(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("cloud_registration_gcp_delete_registration", ids="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/cloud_google_cloud_registration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CloudGoogleCloudRegistration.CloudRegistrationGcpDeleteRegistration( &cloud_google_cloud_registration.CloudRegistrationGcpDeleteRegistrationParams{ Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.cloudGoogleCloudRegistration.cloudRegistrationGcpDeleteRegistration("string"); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CloudGoogleCloudRegistration.new
response = api.cloud_registration_gcp_delete_registration('string')
puts response